﻿@model AirportViewModel

@section Scripts {
		<script>
			window.onload = function() {
				CheckItemsCount();
			};

		    window.onscroll = function() {scrollFunction()};
		</script>
}

<section class="nav">
	<nav>
		<ul>
		    <li><a asp-area="" asp-controller="Home" asp-action="Index"><img src="images/left sidebar.png" alt="Airline" /></a></li>
		</ul>
	</nav>
</section>

<section class="page-content">

	<h2>Airports</h2>

	<div class="line"></div>

	<section class="search-restore-form">
	    <!-- Search form -->
        <partial name="_SearchForm" model="Model.SearchTerm" />

        <!-- Button to restore -->
		<form method="get" asp-action="Index">
			<button type="submit" class="btn btn-primary" class="restore-button">Restore All Airports</button>
		</form>
	</section>

	<!-- Filter form -->
    <partial name="_FilterForm" />


	@if (Model.Airports != null)
	{
			<div id="table-form" class="table-form">
		<!-- Pagination -->
		@if (TempData["TotalPages"] != null)
		{
			int totalPages = Convert.ToInt32(TempData["TotalPages"]);
			int currentPage = Model.PageNumber; 

			<div class="pagination">
				<!-- Button for previous page -->
				@if (currentPage > 1)
				{
					<form method="get" asp-action="Index">
					    <input type="hidden" name="PageNumber" value="@(currentPage - 1)" />
						<button type="submit">Previous</button>
					</form>
				}

				@for (int i = 1; i <= totalPages; i++)
				{
					<form method="get" asp-action="Index">
						<input type="hidden" name="PageNumber" value="@i" />
						<button type="submit" name="PageNumber" value="@i">@i</button>
					</form>
				}

				<!-- Button for next page -->
				@if (currentPage < totalPages)
				{
					<form method="get" asp-action="Index">
						<input type="hidden" name="PageNumber" value="@(currentPage + 1)" />
						<button type="submit">Next</button>
					</form>
				}
			</div>
		}

		<!-- Table to present existing Airports -->
		<table id="table">
		    <thead>
			    <tr>
				    <th>Name</th>
				    <th>Country</th>
				    <th>Code</th>
				    <th>City</th>
				    <th>Runways</th>
				    <th>Founded</th>
			    </tr>
		    </thead>
		    <tbody>
				@foreach (var airport in Model.Airports)
				{
					<tr>
						<td>@airport.Name</td>
						<td>@airport.Country</td>
						<td>@airport.Code</td>
						<td>@airport.City</td>
						<td>@airport.RunwaysCount</td>
						<td>@airport.Founded</td>
					</tr>
				}
		    </tbody>
	    </table>
		</div>
	}
	else
	{
		<p>No airports available.</p>
	}

	<button id="showHideTableButton" class="show-form-button">Table</button>

    <!-- Form to create new Airport -->
    <section class="form">
        <form method="post" asp-action="Airports/Create">
	        <fieldset>
		        <legend>Add New Airport</legend>
				<p id="demo" class="demo"></p>
		        <div>
			        <label asp-for="NewAirport.Code"></label>
					<input asp-for="NewAirport.Code" id="airport-code" oninput="validateAirportAndEnableButton()"/>
			        <span asp-validation-for="NewAirport.Code" class="text-danger"></span>
		        </div>
		        <div>
			        <label asp-for="NewAirport.Name"></label>
					<input asp-for="NewAirport.Name" id="airport-name" oninput="validateAirportAndEnableButton()"/>
			        <span asp-validation-for="NewAirport.Name" class="text-danger"></span>
		        </div>
		        <div>
			        <label asp-for="NewAirport.Country"></label>
					<input asp-for="NewAirport.Country" id="airport-country" oninput="validateAirportAndEnableButton()"/>
			        <span asp-validation-for="NewAirport.Country" class="text-danger"></span>
		        </div>
		        <div>
			        <label asp-for="NewAirport.City"></label>
					<input asp-for="NewAirport.City" id="airport-city" oninput="validateAirportAndEnableButton()"/>
			        <span asp-validation-for="NewAirport.City" class="text-danger"></span>
		        </div>
		        <div>
			        <label asp-for="NewAirport.RunwaysCount"></label>
					<input asp-for="NewAirport.RunwaysCount" type="number" id="airport-runwaysCount" oninput="validateAirportAndEnableButton()"/>
			        <span asp-validation-for="NewAirport.RunwaysCount" class="text-danger"></span>
		        </div>
		        <div>
			        <label asp-for="NewAirport.Founded"></label>
					<input asp-for="NewAirport.Founded" id="airport-founded" oninput="validateAirportAndEnableButton()"/>
			        <span asp-validation-for="NewAirport.Founded" class="text-danger"></span>
		        </div>
				<button type="submit" class="submit-button" id="submit-button" disabled>Add Airport</button>
	        </fieldset>
        </form>
    </section>

	<button id="go-up-button" class="hidden">Go Up</button>

</section>
